Bug 2035790 - python3-wxpython4-4.0.7 error in GRASS GIS 7.8 related to Python 3.10
Summary: python3-wxpython4-4.0.7 error in GRASS GIS 7.8 related to Python 3.10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-wxpython4
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-27 16:56 UTC by markusN
Modified: 2022-01-06 01:11 UTC (History)
1 user (show)

Fixed In Version: python-wxpython4-4.0.7-24.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-06 01:11:12 UTC
Type: Bug


Attachments (Terms of Use)
GRASS GIS 7.8 wxGUI layout error with Python 3.10/wxpython 4.0.7-23 (45.75 KB, image/png)
2021-12-27 16:56 UTC, markusN
no flags Details

Description markusN 2021-12-27 16:56:12 UTC
Created attachment 1847985 [details]
GRASS GIS 7.8 wxGUI layout error with Python 3.10/wxpython 4.0.7-23

Description of problem:

The GRASS GIS 7.8 GUI shows an "unusual" layout: see attachment.


Version-Release number of selected component (if applicable):
python3-wxpython4-4.0.7-23.fc35.x86_64


How reproducible:
Just start the software:

grass78 --gui


Additional info:

According to https://github.com/OSGeo/grass/issues/2040

it is related to wxpython - see comment here:
--> https://github.com/OSGeo/grass/issues/2019#issuecomment-1001299603

Not sure how to proceed here...

Comment 1 Scott Talbert 2021-12-27 18:31:22 UTC
Is it possible to reproduce that with the GRASS that's in F35?

Comment 2 markusN 2021-12-27 20:03:08 UTC
Yes, confirmed with grass-gui-7.8.6-2.fc35.x86_64

Comment 3 Fedora Update System 2021-12-28 14:26:00 UTC
FEDORA-2021-a277ab7ea1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a277ab7ea1

Comment 4 Fedora Update System 2021-12-29 01:12:21 UTC
FEDORA-2021-a277ab7ea1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a277ab7ea1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a277ab7ea1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-01-06 01:11:12 UTC
FEDORA-2021-a277ab7ea1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.